Reschedule an appointment
Moves an appointment to a new time slot. The duration remains unchanged. Validates availability by default — set ignoreAvailability: true to schedule outside available hours or on top of existing appointments.
Side effects: Sends reschedule notifications to all participants, updates calendar events, regenerates ICS, reschedules reminders, updates CRM integrations, and fires booking_rescheduled webhook.
curl --request POST \
--url https://api.example.com/v4/appointment/{id}/reschedule \
--header 'Content-Type: application/json' \
--header 'x-meetergo-api-user-id: <api-key>' \
--data '
{
"start": "2026-03-10T14:00:00.000Z",
"ignoreAvailability": false
}
'import requests
url = "https://api.example.com/v4/appointment/{id}/reschedule"
payload = {
"start": "2026-03-10T14:00:00.000Z",
"ignoreAvailability": False
}
headers = {
"x-meetergo-api-user-id": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-meetergo-api-user-id': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({start: '2026-03-10T14:00:00.000Z', ignoreAvailability: false})
};
fetch('https://api.example.com/v4/appointment/{id}/reschedule', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"appointment": {
"id": "<string>",
"secret": "<string>",
"ics": "<string>",
"meetingInfo": {
"name": "<string>",
"description": "<string>",
"enableRedirect": true,
"redirect": "<string>",
"passEventDetailsToRedirect": true,
"duration": 123,
"customChannelName": "<string>",
"customChannelLink": "<string>",
"groupBooking": true,
"showAvailableSlots": true,
"enrichInvitee": true,
"confirmationButton": {
"useConfirmationButton": true,
"text": "<string>",
"color": "<string>",
"link": "<string>"
},
"bufferBefore": 123,
"bufferAfter": 123,
"color": {}
},
"hostingInfo": {
"mainHost": "<string>",
"meetingLink": "<string>",
"googleEventId": "<string>",
"googleConnectionSub": "<string>",
"calendarConnectionId": "<string>",
"zoomMeetingId": 123,
"connectChannelId": "<string>",
"wherebyMeetingId": "<string>",
"calendarSyncProviders": {
"id": "<string>",
"type": "<string>",
"hostId": "<string>",
"eventId": "<string>",
"calendarId": "<string>"
}
},
"cancel": {
"actionAt": "<string>",
"actionBy": "<string>",
"reason": "<string>"
},
"crmOptions": {
"hubspotContactSync": true,
"hubspotContactStage": "<string>",
"hubspotCompanySync": true,
"hubspotCompanyStage": "<string>",
"hubspotCompanyMatchingField": "<string>",
"hubspotDealSync": true,
"hubspotDealStage": "<string>",
"hubspotPipelineId": "<string>",
"pipedriveDealSync": true,
"pipedriveContactSync": true,
"pipedrivePipelineId": 123,
"pipedriveStageId": 123,
"pipedriveUseExistingDeal": true,
"centralStationContactSync": true,
"centralStationDealSync": true,
"centralStationPipelineId": 123,
"centralStationStageId": 123,
"linkandoSyncEnabled": true,
"linkandoPlaybookId": 123,
"linkandoTemplateId": 123,
"evalancheEnabled": true,
"klicktippEnabled": true,
"getResponseEnabled": true,
"getResponseCampaignId": "<string>",
"brevoEnabled": true,
"sevdeskEnabled": true,
"sevdeskCategoryId": 123,
"smartWeContactSync": true,
"smartWeCompanySync": true,
"smartWeDealSync": true,
"smartWeDealStage": "<string>",
"salesforceSyncEnabled": true,
"salesforceCaseSync": true,
"salesforceLeadSync": true,
"salesforceOpportunitySync": true,
"salesforceLeadStatus": "<string>",
"salesforceCaseStatus": "<string>",
"salesforceOpportunityStage": "<string>",
"salesforceDefaultObjectType": "<string>",
"internalCrmPipelineId": {},
"internalCrmStageId": {},
"crmOptInFieldName": {}
},
"start": "<string>",
"end": "<string>",
"isCancelled": true,
"attendees": [
{
"id": "<string>",
"secret": "<string>",
"bringalongEmails": [
"<string>"
],
"notes": {},
"receiveReminders": true,
"language": "<string>",
"timezone": "<string>",
"noShow": true,
"dataPolicyAccepted": true,
"createdAt": "<string>",
"updatedAt": "<string>",
"email": "<string>",
"fullname": "<string>",
"firstname": "<string>",
"lastname": "<string>",
"phone": "<string>",
"doubleOptIn": "<string>",
"deletedAt": "<string>"
}
],
"attendeeIds": [
"<string>"
],
"roundRobinEntries": [
{
"id": 123,
"createdAt": "<string>",
"userId": "<string>",
"groupId": "<string>",
"appointmentId": "<string>",
"queueId": "<string>",
"selectionReason": "<string>"
}
],
"meetingTypeId": "<string>",
"hostIds": [
"<string>"
],
"scheduledReminderIds": [
"<string>"
],
"companyId": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"resolvableErrors": [
{
"errorCode": "<string>"
}
],
"rescheduledAt": "<string>",
"location": "<string>",
"deletedAt": "<string>",
"paymentId": "<string>",
"note": "<string>",
"transcription": "<string>",
"summary": "<string>"
},
"previousStart": "2026-03-08T10:00:00.000Z"
}{
"appointment": {
"id": "<string>",
"secret": "<string>",
"ics": "<string>",
"meetingInfo": {
"name": "<string>",
"description": "<string>",
"enableRedirect": true,
"redirect": "<string>",
"passEventDetailsToRedirect": true,
"duration": 123,
"customChannelName": "<string>",
"customChannelLink": "<string>",
"groupBooking": true,
"showAvailableSlots": true,
"enrichInvitee": true,
"confirmationButton": {
"useConfirmationButton": true,
"text": "<string>",
"color": "<string>",
"link": "<string>"
},
"bufferBefore": 123,
"bufferAfter": 123,
"color": {}
},
"hostingInfo": {
"mainHost": "<string>",
"meetingLink": "<string>",
"googleEventId": "<string>",
"googleConnectionSub": "<string>",
"calendarConnectionId": "<string>",
"zoomMeetingId": 123,
"connectChannelId": "<string>",
"wherebyMeetingId": "<string>",
"calendarSyncProviders": {
"id": "<string>",
"type": "<string>",
"hostId": "<string>",
"eventId": "<string>",
"calendarId": "<string>"
}
},
"cancel": {
"actionAt": "<string>",
"actionBy": "<string>",
"reason": "<string>"
},
"crmOptions": {
"hubspotContactSync": true,
"hubspotContactStage": "<string>",
"hubspotCompanySync": true,
"hubspotCompanyStage": "<string>",
"hubspotCompanyMatchingField": "<string>",
"hubspotDealSync": true,
"hubspotDealStage": "<string>",
"hubspotPipelineId": "<string>",
"pipedriveDealSync": true,
"pipedriveContactSync": true,
"pipedrivePipelineId": 123,
"pipedriveStageId": 123,
"pipedriveUseExistingDeal": true,
"centralStationContactSync": true,
"centralStationDealSync": true,
"centralStationPipelineId": 123,
"centralStationStageId": 123,
"linkandoSyncEnabled": true,
"linkandoPlaybookId": 123,
"linkandoTemplateId": 123,
"evalancheEnabled": true,
"klicktippEnabled": true,
"getResponseEnabled": true,
"getResponseCampaignId": "<string>",
"brevoEnabled": true,
"sevdeskEnabled": true,
"sevdeskCategoryId": 123,
"smartWeContactSync": true,
"smartWeCompanySync": true,
"smartWeDealSync": true,
"smartWeDealStage": "<string>",
"salesforceSyncEnabled": true,
"salesforceCaseSync": true,
"salesforceLeadSync": true,
"salesforceOpportunitySync": true,
"salesforceLeadStatus": "<string>",
"salesforceCaseStatus": "<string>",
"salesforceOpportunityStage": "<string>",
"salesforceDefaultObjectType": "<string>",
"internalCrmPipelineId": {},
"internalCrmStageId": {},
"crmOptInFieldName": {}
},
"start": "<string>",
"end": "<string>",
"isCancelled": true,
"attendees": [
{
"id": "<string>",
"secret": "<string>",
"bringalongEmails": [
"<string>"
],
"notes": {},
"receiveReminders": true,
"language": "<string>",
"timezone": "<string>",
"noShow": true,
"dataPolicyAccepted": true,
"createdAt": "<string>",
"updatedAt": "<string>",
"email": "<string>",
"fullname": "<string>",
"firstname": "<string>",
"lastname": "<string>",
"phone": "<string>",
"doubleOptIn": "<string>",
"deletedAt": "<string>"
}
],
"attendeeIds": [
"<string>"
],
"roundRobinEntries": [
{
"id": 123,
"createdAt": "<string>",
"userId": "<string>",
"groupId": "<string>",
"appointmentId": "<string>",
"queueId": "<string>",
"selectionReason": "<string>"
}
],
"meetingTypeId": "<string>",
"hostIds": [
"<string>"
],
"scheduledReminderIds": [
"<string>"
],
"companyId": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"resolvableErrors": [
{
"errorCode": "<string>"
}
],
"rescheduledAt": "<string>",
"location": "<string>",
"deletedAt": "<string>",
"paymentId": "<string>",
"note": "<string>",
"transcription": "<string>",
"summary": "<string>"
},
"previousStart": "2026-03-08T10:00:00.000Z"
}Authorizations
User ID to act on behalf of. Platform API Keys only (required with an API Key unless the endpoint states otherwise). Requests authenticated with a Personal Access Token are rejected if this header names another user.
Path Parameters
Appointment ID (UUID)
Body
New start time for the appointment in ISO 8601 format. The duration remains unchanged.
"2026-03-10T14:00:00.000Z"
Skip availability and conflict checks. Allows scheduling outside available hours or on top of existing appointments. Defaults to false.
